Subject: [PATCH v2 0/6] Make "local" orthogonal to date format

From: John Keeping <[email-masked]>
Date: Tue, 1 Sep 2015 22:55:38 +0100

Jeff's first patch is unmodified but I've squashed the fixed currently
on "pu" into the second.  I also realised while adding the tests that
"raw-local" is meaningless so I've modified the code to reject it in the
same way as "relative-local".

Jeff King (2):
  fast-import: switch crash-report date to iso8601
  date: make "local" orthogonal to date format

John Keeping (4):
  t6300: introduce test_date() helper
  t6300: make UTC and local dates different
  t6300: add test for "raw" date format
  t6300: add tests for "-local" date formats

 Documentation/rev-list-options.txt |  21 ++++--
 builtin/blame.c                    |   1 -
 cache.h                            |   2 +-
 date.c                             |  77 +++++++++++++-------
 fast-import.c                      |   2 +-
 t/t6300-for-each-ref.sh            | 139 +++++++++++++++++++------------------
 6 files changed, 140 insertions(+), 102 deletions(-)

-- 
2.5.0.466.g9af26fa